Public Class USU_IdiomaExperienciaBusinessObject
    Inherits BusinessObject(Of USU_IdiomaExperiencia)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New USU_IdiomaExperienciaDbHelper
    End Sub

    Public Sub New(ByVal entity As USU_IdiomaExperiencia)
        MyBase.New(entity)
        DbHelper = New USU_IdiomaExperienciaDbHelper
    End Sub

    Public Sub New(ByVal idExperiencia As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idExperiencia = idExperiencia
        Dim Entity_Aux As USU_IdiomaExperiencia = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As USU_IdiomaExperienciaBusinessObject
    Protected Shared Function GetDdHelperInstance() As USU_IdiomaExperienciaDbHelper
        If _Instance Is Nothing Then
            _Instance = New USU_IdiomaExperienciaBusinessObject
        End If
    Return CType(_Instance.DbHelper, USU_IdiomaExperienciaDbHelper)
    End Function

    Public Shared Function GetListUSU_IdiomaExperiencia(Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_IdiomaExperiencia)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
